Open CASCADE Technology: BRepMesh_VertexTool Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepMesh_VertexTool Class Reference

Describes data structure intended to keep mesh nodes defined in UV space and implements functionality providing their uniqueness regarding thir position. More...

`#include <BRepMesh_VertexTool.hxx>`

## Public Member Functions
| BRepMesh_VertexTool (const Standard_Integer theReservedSize, const Handle< NCollection_IncAllocator > &theAllocator)
| Constructor. More...
void | SetCellSize (const Standard_Real theSize)
| Sets new size of cell for cellfilter equal in both directions. More...
void | SetCellSize (const Standard_Real theSizeX, const Standard_Real theSizeY)
| Sets new size of cell for cellfilter. More...
void | SetTolerance (const Standard_Real theTolerance)
| Sets the tolerance to be used for identification of coincident vertices equal for both dimensions. More...
void | SetTolerance (const Standard_Real theToleranceX, const Standard_Real theToleranceY)
| Sets the tolerance to be used for identification of coincident vertices. More...
Standard_Integer | Add (const BRepMesh_Vertex &theVertex, const Standard_Boolean isForceAdd)
| Adds vertex with empty data to the tool. More...
void | Delete (const Standard_Integer theIndex)
| Deletes vertex with the given index from the tool. More...
const BRepMesh::HVectorOfVertex & | Vertices () const
| Returns set of mesh vertices. More...
BRepMesh::HVectorOfVertex & | ChangeVertices ()
| Returns set of mesh vertices. More...
const BRepMesh_Vertex & | FindKey (const Standard_Integer theIndex)
| Returns vertex by the given index. More...
Standard_Integer | FindIndex (const BRepMesh_Vertex &theVertex)
| Returns index of the given vertex. More...
Standard_Integer | Extent () const
| Returns a number of vertices. More...
Standard_Boolean | IsEmpty () const
| Returns True when the map contains no keys. More...
void | Substitute (const Standard_Integer theIndex, const BRepMesh_Vertex &theVertex)
| Substitutes vertex with the given by the given vertex with attributes. More...
void | RemoveLast ()
| Remove last node from the structure. More...
const BRepMesh::ListOfInteger & | GetListOfDelNodes () const
| Returns the list with indexes of vertices that have movability attribute equal to BRepMesh_Deleted and can be replaced with another node. More...
void | Statistics (Standard_OStream &theStream) const
| Prints statistics. More...

## Detailed Description

Describes data structure intended to keep mesh nodes defined in UV space and implements functionality providing their uniqueness regarding thir position.

## Constructor & Destructor Documentation

BRepMesh_VertexTool::BRepMesh_VertexTool | ( | const Standard_Integer | theReservedSize,
|  | const Handle< NCollection_IncAllocator > & | theAllocator
| ) |  |

Constructor.

Parameters

  theReservedSize | size to be reserved for vector of vertices.
  theAllocator | memory allocator to be used by internal collections.

## Member Function Documentation

Standard_Integer BRepMesh_VertexTool::Add | ( | const BRepMesh_Vertex & | theVertex,
|  | const Standard_Boolean | isForceAdd
| ) |  |

Adds vertex with empty data to the tool.

Parameters

  theVertex | node to be added to the mesh.
  isForceAdd | adds the given node to structure without checking on coincidence with other nodes.

Returns
  index of the node in the structure.

BRepMesh::HVectorOfVertex& BRepMesh_VertexTool::ChangeVertices | ( |  | ) |
| inline

Returns set of mesh vertices.

void BRepMesh_VertexTool::Delete | ( | const Standard_Integer | theIndex | ) |

Deletes vertex with the given index from the tool.

Standard_Integer BRepMesh_VertexTool::Extent | ( | void |  | ) | const
| inline

Returns a number of vertices.

Standard_Integer BRepMesh_VertexTool::FindIndex | ( | const BRepMesh_Vertex & | theVertex | ) |
| inline

Returns index of the given vertex.

const BRepMesh_Vertex& BRepMesh_VertexTool::FindKey | ( | const Standard_Integer | theIndex | ) |
| inline

Returns vertex by the given index.

const BRepMesh::ListOfInteger& BRepMesh_VertexTool::GetListOfDelNodes | ( |  | ) | const
| inline

Returns the list with indexes of vertices that have movability attribute equal to BRepMesh_Deleted and can be replaced with another node.

Standard_Boolean BRepMesh_VertexTool::IsEmpty | ( |  | ) | const
| inline

Returns True when the map contains no keys.

void BRepMesh_VertexTool::RemoveLast | ( |  | ) |
| inline

Remove last node from the structure.

void BRepMesh_VertexTool::SetCellSize | ( | const Standard_Real | theSize | ) |
| inline

Sets new size of cell for cellfilter equal in both directions.

void BRepMesh_VertexTool::SetCellSize | ( | const Standard_Real | theSizeX,
|  | const Standard_Real | theSizeY
| ) |  |
| inline

Sets new size of cell for cellfilter.

Parameters

  theSizeX | size for X dimension.
  theSizeY | size for Y dimension.

void BRepMesh_VertexTool::SetTolerance | ( | const Standard_Real | theTolerance | ) |
| inline

Sets the tolerance to be used for identification of coincident vertices equal for both dimensions.

void BRepMesh_VertexTool::SetTolerance | ( | const Standard_Real | theToleranceX,
|  | const Standard_Real | theToleranceY
| ) |  |
| inline

Sets the tolerance to be used for identification of coincident vertices.

Parameters

  theToleranceX | tolerance for X dimension.
  theToleranceY | tolerance for Y dimension.

void BRepMesh_VertexTool::Statistics | ( | Standard_OStream & | theStream | ) | const

Prints statistics.

void BRepMesh_VertexTool::Substitute | ( | const Standard_Integer | theIndex,
|  | const BRepMesh_Vertex & | theVertex
| ) |  |

Substitutes vertex with the given by the given vertex with attributes.

Parameters

  theIndex | index of vertex to be substituted.
  theVertex | replacement vertex.

const BRepMesh::HVectorOfVertex& BRepMesh_VertexTool::Vertices | ( |  | ) | const
| inline

Returns set of mesh vertices.

The documentation for this class was generated from the following file:

- BRepMesh_VertexTool.hxx